ros-foxy-rc-genicam-api (2.6.1-1focal) focal; urgency=high

  * Fixed resetting of systems so that setSystemsPath() can be called again
  * Report reason if loading of producer fails
  * Fixed compiling under Windows
  * Fixed reading registers with size that is less than the requested size
  * Added convenience functions for loading and storing data on the camera via GenICam file interface

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 08 Jan 2023 23:00:00 -0000

ros-foxy-rc-genicam-api (2.6.0-1focal) focal; urgency=high

  * Upgraded GenAPI to version 3.4
  * Changed gc_file to read and write in blocks of 512 bytes and made FileSize parameter optional

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 08 Nov 2022 23:00:00 -0000

ros-foxy-rc-genicam-api (2.5.17-1focal) focal; urgency=high

  * Added building for Jammy
  * Added possibility to specify GenICam parameters on the command line of gc_pointcloud tool
  * README: change grep for newer netstat versions

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 12 Oct 2022 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.16-1focal) focal; urgency=high

  * Added CI build pipelines for ARM64
  * net_perf_check.sh use first default interface
  * Show enum options even if WriteOnly

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 28 May 2022 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.14-1focal) focal; urgency=high

  * Install licenses of included binaries
  * Reporting interface id instead of display name in output of gc_info -s

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 01 Feb 2022 23:00:00 -0000

ros-foxy-rc-genicam-api (2.5.13-1focal) focal; urgency=high

  * Added parameter '-s' to gc_info for getting a short list of discovered devices
  * Fixed Windows build script

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 30 Jan 2022 23:00:00 -0000

ros-foxy-rc-genicam-api (2.5.12-1focal) focal; urgency=high

  * Imporved Windows build script for compiling with libpng
  * Fixed some issues when compiling under Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 22 Oct 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.11-1focal) focal; urgency=high

  * Fixed getting buffers with chunk data from Basler ace2 USB cameras

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Oct 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.10-1focal) focal; urgency=high

  * Make system, interface, device and stream ignore closing already closed objects

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Sep 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.9-1focal) focal; urgency=high

  * Improved measuring of buffers per second in gc_stream
  * Do not show latency in gc_stream -t if PTP is turned off

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Sep 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.8-1focal) focal; urgency=high

  * Added support for YUV422_8 and YCbCr422_8 pixel formats

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 08 Sep 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.7-1focal) focal; urgency=high

  * Added possibility to specify the internal number of buffers to allocate
  * gc_file tool: Exit with error if file cannot be loaded

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 31 Aug 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.6-1focal) focal; urgency=high

  * Changed ImageList::find with tolerance > 0 to return the closest within tolerance

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.5-1focal) focal; urgency=high

  * Fixed rounding when converting between color and monochrome images
  * Reduce minimum number of buffers
  * Do not attach chunk data handler to incomplete buffer

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 27 Jul 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.4-1focal) focal; urgency=high

  * Fixed reporting of operation status of gc_file tool

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 24 Jul 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.3-1focal) focal; urgency=high

  * Added build script for Visual Studio
  * Added methods for getting region id and data purpose id from buffer
  * On Windows, also try to find producers in sub directories of current library
  * Fixed some compiler warnings
  * Improved error message when writing on cport fails
  * Fixed conversion from YCbCr411 format to Mono8 in convertImage() function
  * Improved error message when setting invalid enum
  * Added support for RGB8 color format in getColor() function

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 16 Jul 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.2-1focal) focal; urgency=high

  * Added possibility for configuration of multiple Gev interfaces in gc_config
  * Fixed printing of Mac address in gc_info
  * Added method to stream object for checking the number of buffers available for grabbing
  * Treating missing parameters in Buffer as 0
  * Changed way how to define different path for locating producers
  * Added possibility to discover producers in non-default locations and ignoring a specific producer
  * Added possibility to store xml file with gc_info with original name

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 05 Jul 2021 22:00:00 -0000

ros-foxy-rc-genicam-api (2.5.1-1focal) focal; urgency=high

  * Fixed compile problems under Windows
  * Fixed using wrong pointer in method Stream::getTLType()
  * Readme: Add link to release page
  * Removing redundent specification of namespace in some source files

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 15 Mar 2021 23:00:00 -0000

ros-foxy-rc-genicam-api (2.5.0-1focal) focal; urgency=high

  * Upgrading GenICam reference implementation to version 3.3
  * Added support for storing images of format RGB8 and BayerXX8
  * Increasing discover timeout from 100 ms to 1 s, which is necessary for some cameras
  * Resetting chunk adapter in gc_stream if user explicitely disables chunk data
  * Added tool gc_file for reading / writing user data from / to a GenICam device
  * Integrated attaching buffers to nodemap into stream and buffer classes
  * Added support for handling payload type chunk data for supporting Basler ace cameras
  * Updated handling of PTP in gc_config tool using the new feature names
  * Correct exception message if png can't be stored
  * Rename adaptive_out1_reduction to out1_reduction in stored parameter file

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 25 Feb 2021 23:00:00 -0000

ros-foxy-rc-genicam-api (2.4.4-1focal) focal; urgency=high

  * Trying to fix problem that interface handle becomes invalid

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 22 Oct 2020 22:00:00 -0000

ros-foxy-rc-genicam-api (2.4.3-1focal) focal; urgency=high

  * Improved reporting of exceptions

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-foxy-rc-genicam-api (2.4.2-1focal) focal; urgency=high

  * Added some optional Roboception specific information to the parameter files
  * Fixed crashing of gc_info if getting nodemap from device fails
  * Fixed getEnum crash if enum doesn't contain a value

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-foxy-rc-genicam-api (2.4.1-1focal) focal; urgency=high

  * Enabled building for ROS focal on gitlab

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Jul 2020 22:00:00 -0000

ros-foxy-rc-genicam-api (2.4.0-1focal) focal; urgency=high

  * gc_stream now puts status of GPIO out and in lines in two separate bit fields in file name

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 26 Jul 2020 22:00:00 -0000

ros-foxy-rc-genicam-api (2.3.7-1focal) focal; urgency=high

  * Improved finding devices, e.g. by IP if GenTL provider supports this

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 26 Jul 2020 22:00:00 -0000

ros-foxy-rc-genicam-api (2.3.6-1focal) focal; urgency=high

  * Fixed compile bug under Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 16 Apr 2020 22:00:00 -0000

ros-foxy-rc-genicam-api (2.3.5-1focal) focal; urgency=high

  * ensure that downscale factor doesn't lead to division by zero
  * remove build_export_depend on catkin from package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 05 Apr 2020 22:00:00 -0000

ros-foxy-rc-genicam-api (2.3.4-1focal) focal; urgency=high

  * Workaround for Baumer GenTL GEV interface enumeration bug

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 14 Mar 2020 23:00:00 -0000

ros-foxy-rc-genicam-api (2.3.3-1focal) focal; urgency=high

  * fix version in package.xml
  * fix Dockerfile

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 05 Mar 2020 23:00:00 -0000

ros-foxy-rc-genicam-api (2.3.2-1focal) focal; urgency=high

  * add libpng-dev dependency in package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 05 Mar 2020 23:00:00 -0000

ros-foxy-rc-genicam-api (2.3.1-1focal) focal; urgency=high

  * Reporting full name of stored images, including suffix

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 09 Jan 2020 23:00:00 -0000

ros-foxy-rc-genicam-api (2.3.0-1focal) focal; urgency=high

  * Tool gc_stream:
    * now also stores the exposure time and gain in parameter files
    * added storing 16 bit images
    * Added parameter '-f png' for storing images in PNG format
    * Reporting all stored images (IntensityRight was missing)
  * Tool gc_info:
    * print User defined name
  * Refactoring:
    * Moved functions to store images from gc_stream tool into core library
    * Moved function to store point cloud from tool to library
  * Fixed:
    * Do not return device if it can be found on different producers
    * reporting device name instead of test option when misspelling the device in 'gc_stream -t <device> ...' call
    * net_perf_check.sh: fix getting mtu

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 19 Dec 2019 23:00:00 -0000

ros-foxy-rc-genicam-api (2.2.3-1focal) focal; urgency=high

  * Fixed Windows install issues
  * Fixing segfault in Buffer::getTLType()

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 24 Jul 2019 22:00:00 -0000

ros-foxy-rc-genicam-api (2.2.2-1focal) focal; urgency=high

  * Set TLParamsLocked before requesting maximum buffer size
  * Only free as many buffers as allocated to avoid errors off GenTL producer
  * Request global buffer YPadding only for none multipart buffers to avoid errors of GenTL producer

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-foxy-rc-genicam-api (2.2.1-1focal) focal; urgency=high

  * Automatically splitting the stereo images in rc_visards special combined format into Intenstiy and IntensityRight images
  * Using TLParamsLocked correctly in streaming class as some cameras require this
  * gc_stream now disables component Intensity if IntensityCombined is enabled
  * gc_stream now creates parameter file for each Intensity image as well
  * Increased timeout for updating the device list to 100 ms as 10 ms can be too less for some cameras / producers

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 10 Jun 2019 22:00:00 -0000

ros-foxy-rc-genicam-api (2.2.0-1focal) focal; urgency=high

  * gc_info does not report not implemented parameters any more
  * gc_info can now also only print specified nodes (which can be a category) by appending the node name with '?' to the device id.
  * gc_stream can now measure frequency and latency of incomming buffers
  * Windows: look for transport layer in folder of rc_genicam_api.dll
  * support modern cmake
    - A "meta target" for all Genicam targets is defined, rc_genicam_api::genicam, on which rc_genicam_api::rc_genicam_api depends publicly.
    - Compile options and definitions of rc_genicam_api are set to private, only /DGENICAM_NO_AUTO_IMPLIB is public
    - Install paths are defined using GNUInstallDirs
  * update Baumer GenTL providers to 2.9.2.22969
    - Support for payload type Multi-part added
    - The GigE Producer now find devices connected to virtual interfaces for Linux

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 01 May 2019 22:00:00 -0000

ros-foxy-rc-genicam-api (2.1.2-1focal) focal; urgency=high

  * Remove global include_directories in cmake build files
  * Use full precision timestamp in name of images saved by gc_stream
  * Append out1 and out2 state to name of images saved by gc_stream

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-foxy-rc-genicam-api (2.1.1-1focal) focal; urgency=high

  * Command line tools now exit with != 0 in case of an error
  * Improved cmake project files

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-foxy-rc-genicam-api (2.1.0-1focal) focal; urgency=high

  * Made System, Interface, Device and Stream objects thread safe

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 24 Jan 2019 23:00:00 -0000

ros-foxy-rc-genicam-api (2.0.4-1focal) focal; urgency=high

  * A buffer that is labelled to contain chunk data may also contain an image
  * Implemented fallback of open device access from readonly to control to exclusive

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 23 Jan 2019 23:00:00 -0000

ros-foxy-rc-genicam-api (2.0.3-1focal) focal; urgency=high

  * Improved description of some device methods
  * Under Windows, do not check install path but only current directory as default location of GenTL producer

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 08 Jan 2019 23:00:00 -0000

ros-foxy-rc-genicam-api (2.0.2-1focal) focal; urgency=high

  * Fixed bug in rcg::getEnum() function that may lead to a seg fault
  * Minor changes in cmake build files

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 31 Dec 2018 23:00:00 -0000

ros-foxy-rc-genicam-api (2.0.1-1focal) focal; urgency=high

  * Added test mode to gc_stream tool (i.e. disables saving for only testing the connection)
  * Added printing of package size to gc_stream tool
  * Added statistic to gc_stream tool
  * Removed aborting gc_stream with 'Enter' from Linux version as it causes unwanted stops in some situations
  * Minor fixes in build files.

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 20 Dec 2018 23:00:00 -0000

ros-foxy-rc-genicam-api (2.0.0-1focal) focal; urgency=high

  NOTE: Including multipart support required minor changes of the existing API. See readme for more
  information. Attention: The provided GenTL layer does not yet support multipart!
  * Extended Buffer and Image classes as well as the examples for handling multi-part buffers as well
    (NOTE: The provided GenTL producer does not yet support multipart!)
  * gc_stream: Using component name for storing individual images and ensuring that files are not
    overwritten
  * gc_pointcloud: Using component name for identifying images and try enabling synchronization on
    device
  * Add libs of GenICam reference implementation to external cmake dependencies of shared
    genicam_api library
  * Upgrading GenICam reference implementation to v3.1
  * Add libs of GenICam reference implementation to external dependencies of shared genicam_api
    library

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 07 Oct 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.15-1focal) focal; urgency=high

  * Added parameter --iponly to gc_config tool

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 26 Sep 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.14-1focal) focal; urgency=high

  * Added possibility to interrupt streaming with gc_stream by pressing 'Enter' key.
  * Undefined min/max macros in gc_pointcloud.cc on Windows to avoid compile errors

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 25 Sep 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.13-1focal) focal; urgency=high

  * Changed output of gc_config -l to emphasize using interface and serial number as unique identifier
  * Added possibility to call a GenICam command from the command line with gc_info, gc_config and gc_stream
  * Additionally printing the internal name and display name of the GenTL producer in the gc_info tool
  * Update GEV GenTL provider from Baumer
  * Revision of readme

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 22 Aug 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.12-1focal) focal; urgency=high

  * Getting chunk data in gc_stream and storing disparity image with all parameters for reconstruction if possible
  * Error handling in gc_stream changed by first checking for incomplete buffer and then for image present

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 17 Jul 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.11-1focal) focal; urgency=high

  * don't install bash completion by default (doesn't work on ROS buildfarm)
  * make sure installed net_perf_check.sh script is executable

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Jul 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.10-1focal) focal; urgency=high

  * Added possibility to set GenICam parameters in gc_info too
  * Only show network summary in gc_config if called without parameters or with network related parameters
  * Corrected spelling of visard in gc_pointcloud output file name

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 27 Jun 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.9-1focal) focal; urgency=high

  * Bash completion for UNIX and ROS
  * Relaxed synchronization in gc_pointcloud for special exposure alternate mode of rc_visard
  * Added method in image list class to request the oldest timestamp
  * Added triangulation to gc_pointcloud
  * Added parameter for output file name to gc_pointcloud
  * Fixed crashing of gc_info if enumeration does not have a value

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 14 Jun 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.8-1focal) focal; urgency=high

  * show actually searched path instead of env var in exception if no transport layer found
  * improved README

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 17 Apr 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.7-1focal) focal; urgency=high

  * Devices can now be discovered by serial number as well

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 08 Apr 2018 22:00:00 -0000

ros-foxy-rc-genicam-api (1.3.6-1focal) focal; urgency=high

  * fix path to genicam arm64 libs

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 24 Feb 2018 23:00:00 -0000

ros-foxy-rc-genicam-api (1.3.5-1focal) focal; urgency=high

  * add libs for arm64

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 24 Feb 2018 23:00:00 -0000

ros-foxy-rc-genicam-api (1.3.4-1focal) focal; urgency=high

  * fix catkin dependency in package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 22 Feb 2018 23:00:00 -0000

ros-foxy-rc-genicam-api (1.3.3-1focal) focal; urgency=high

  * fix version in package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 22 Feb 2018 23:00:00 -0000

ros-foxy-rc-genicam-api (1.3.2-1focal) focal; urgency=high

  * fix installation of exported targets
  * add package.xml for releaseing as ROS third-party package
  * update Baumer GigE vision driver to v2.8.15736
  * fix architecture detection (use compiler info instead of host kernel)

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 22 Feb 2018 23:00:00 -0000

ros-foxy-rc-genicam-api (1.3.1-1focal) focal; urgency=high

  * Improved readme
  * Porting package to Windows 32 and 64. It can be compiled with Visual Studio.

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 19 Dec 2017 23:00:00 -0000

ros-foxy-rc-genicam-api (1.3.0-1focal) focal; urgency=high

  New tools / examples:
  * Added tool gc_pointcloud that demonstrates synchroneous streaming and 3D
    reconstruction
  Improvements of convenience layer:
  * Accept true and false for boolean GenICam values additionally to 1 and 0
  * Added option to ignore cache when reading parameter
  * Added convenience function getColor()
  * Added convience function checkFeature()
  * Changing request for timestamp in gc_stream tool
  * Fixed finding devices by user defined name
  Improvement of help texts and messages:
  * Improved help for command line tools
  * Improved exception description
  * Added printing components with enabled status in gc_stream tool
  * Removed output of user name in gc_info as this is not the name that can be
    defined via gc_config -n
  Changes of access mode to permit parallel read access:
  * Open device in gc_info readonly so that it can be used in parallel to an
    open device
  * Open device in gc_config readonly if no parameter changes are requested
  * Opening device in gc_stream with access mode control
  * Changed getDevice() function so that exclusively opened devices are
    discovered as well
  Configuration and optimization:
  * [baumer] increase NextResendWaitPackets to 200
  * add net_perf_check.sh script
  Changes in build configuration:
  * Ensure that the install directory lib/rc_genicam_api is accessible for
    everybody
  * option to disable building of tools
  * option for building shared libs
  * generate version info
  * add option to disable doc target
  * Switched off vectorization and looking for CUDA as it is not necessary
  * add Baumer GenTL lib for armv7l

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Dec 2017 23:00:00 -0000

ros-foxy-rc-genicam-api (1.2.0-1focal) focal; urgency=high

  * rename rcgcapi to rc_genicam_api
  * getDevice() now accepts specification if interface as prefix
  * Added possibility to clean all resources before exit to avoid crashes of GenTL
  * add all GenICam files/libs instead of depending on external package
  * rename pfnc.h to pixel_formats.h
  * bundle GenTL lib from Baumer as fallback if GENICAM_GENTL64_PATH is not set

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 14 Aug 2017 22:00:00 -0000

ros-foxy-rc-genicam-api (1.1.5-1focal) focal; urgency=high

  * Enforced using IPv4 format for setting persistent IPs and improved output of gc_config

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 10 May 2017 22:00:00 -0000

ros-foxy-rc-genicam-api (1.1.4-1focal) focal; urgency=high

  * Check if device name is not empty before looking for the device
  * Fixed formating of MAC addresses as string

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 12 Apr 2017 22:00:00 -0000

ros-foxy-rc-genicam-api (1.1.3-1focal) focal; urgency=high

  * Catching exceptions in destructors of Device and Stream
  * Added changing of GenICam parameters through gc_config

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 10 Apr 2017 22:00:00 -0000

ros-foxy-rc-genicam-api (1.1.2-1focal) focal; urgency=high

  * Streaming with at least 8 buffers by default
  * Additionally show display name when listing devices with gc_config -l

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 09 Apr 2017 22:00:00 -0000

ros-foxy-rc-genicam-api (1.1.1-1focal) focal; urgency=high

  * Fixed bug in YCbCr411 to RGB conversion

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 05 Mar 2017 23:00:00 -0000

ros-foxy-rc-genicam-api (1.1.0-1focal) focal; urgency=high

  * Check in gc_stream if buffer is incomplete
  * Added optional storing of XML file via gc_info tool
  * Added switching PTP on and off via gc_config tool
  * Convertions GenApi exceptions to standard exceptions when requesting the node map
  * Added helper functions for conversion from YCbCr411 to RGB
  * Catching GenApi exception in gc_info tool
  * gc_stream tool chooses name of saved images according to pixel format
  * Added pfnc.h with custom image format Error8
  * Added image and image list helper classes for time synchronization of images
  * Open transport layer libraries with deep bind option to prefer local symbol resolution
  * Wrapping GenApi Exceptions in get/set feature value helper functions
  * Ensure that Buffer::getTimestampNS() always returns a valid value
  * Added helper functions for setting and getting features via GenICam
  * Fixed crash of gc_stream if device is unknown
  * Implemented image streaming and an example for streaming images to file

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 04 Mar 2017 23:00:00 -0000

ros-foxy-rc-genicam-api (1.0.1-1focal) focal; urgency=high

  * Initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 15 Feb 2017 23:00:00 -0000


